package doorControlsShiftBrick
{
	function serverCmdShiftBrick(%client, %x, %y, %z)	//Brick shift controls
	{
		if(isObject(%pl = %client.player) && isObject(%veh = %pl.getObjectMount()))	//Player & mounted vehicle exist
		{
			%data = %veh.getDataBlock();
			if(%data.hasdoorControls && %pl.getMountNode() == 0)	//Driver of a vehicle with these turn signals
			{
				if(%y == 1)							//Shift brick left
				{
					if(%veh.signal == -1)
						return %data.doorControl(%veh, 0);
					else if(%veh.signal == 0)
						return %data.doorControl(%veh, -1);
					else
					{
						%data.doorControl(%veh, 0);
						%data.doorControl(%veh, -1);
						return;
					}
				}
					
				else if(%y == -1)					//Shift brick right
				{
					if(%veh.signal == 1)
						return %data.doorControl(%veh, 0);
					else if(%veh.signal == 0)
						return %data.doorControl(%veh, 1);
					else
					{
						%data.doorControl(%veh, 0);
						%data.doorControl(%veh, 1);
						return;
					}
				}
			}
		}
		parent::serverCmdShiftBrick(%client, %x, %y, %z);
	}
};
activatePackage(doorControlsShiftBrick);